## org.eclipse.emf.cdo.ui.defs
Interface CDOUIDefsPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CDOUIDefsPackageImpl

    public interface CDOUIDefsPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `CDOUIDefsFactory`

Nested Class Summary
`static interface` `CDOUIDefsPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` `CDO_EDITOR_DEF` The meta object id for the '`CDO Editor Def`' class.
`static int` `CDO_EDITOR_DEF__CDO_VIEW` The feature id for the 'Cdo View' reference.
`static int` `CDO_EDITOR_DEF__EDITOR_ID` The feature id for the 'Editor ID' attribute.
`static int` `CDO_EDITOR_DEF__RESOURCE_PATH` The feature id for the 'Resource Path' attribute.
`static int` `CDO_EDITOR_DEF_FEATURE_COUNT` The number of structural features of the 'CDO Editor Def' class.
`static int` `EDITOR_DEF` The meta object id for the '`Editor Def`' class.
`static int` `EDITOR_DEF__EDITOR_ID` The feature id for the 'Editor ID' attribute.
`static int` `EDITOR_DEF_FEATURE_COUNT` The number of structural features of the 'Editor Def' class.
`static CDOUIDefsPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.

Method Summary
`org.eclipse.emf.ecore.EReference` `getCDOEditorDef_CdoView()` Returns the meta object for the reference '`Cdo View`'.
`org.eclipse.emf.ecore.EAttribute` `getCDOEditorDef_ResourcePath()` Returns the meta object for the attribute '`Resource Path`'.
`org.eclipse.emf.ecore.EClass` `getCDOEditorDef()` Returns the meta object for class '`CDO Editor Def`'.
`CDOUIDefsFactory` `getCDOUIDefsFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EAttribute` `getEditorDef_EditorID()` Returns the meta object for the attribute '`Editor ID`'.
`org.eclipse.emf.ecore.EClass` `getEditorDef()` Returns the meta object for class '`Editor Def`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final CDOUIDefsPackage eINSTANCE

  The singleton instance of the package.

### EDITOR_DEF

    static final int EDITOR_DEF

  The meta object id for the '`Editor Def`' class.

  See Also:
    `EditorDefImpl`, `CDOUIDefsPackageImpl.getEditorDef()`, Constant Field Values

### EDITOR_DEF__EDITOR_ID

    static final int EDITOR_DEF__EDITOR_ID

  The feature id for the 'Editor ID' attribute.

  See Also:
    Constant Field Values

### EDITOR_DEF_FEATURE_COUNT

    static final int EDITOR_DEF_FEATURE_COUNT

  The number of structural features of the 'Editor Def' class.

  See Also:
    Constant Field Values

### CDO_EDITOR_DEF

    static final int CDO_EDITOR_DEF

  The meta object id for the '`CDO Editor Def`' class.

  See Also:
    `CDOEditorDefImpl`, `CDOUIDefsPackageImpl.getCDOEditorDef()`, Constant Field Values

### CDO_EDITOR_DEF__EDITOR_ID

    static final int CDO_EDITOR_DEF__EDITOR_ID

  The feature id for the 'Editor ID' attribute.

  See Also:
    Constant Field Values

### CDO_EDITOR_DEF__CDO_VIEW

    static final int CDO_EDITOR_DEF__CDO_VIEW

  The feature id for the 'Cdo View' reference.

  See Also:
    Constant Field Values

### CDO_EDITOR_DEF__RESOURCE_PATH

    static final int CDO_EDITOR_DEF__RESOURCE_PATH

  The feature id for the 'Resource Path' attribute.

  See Also:
    Constant Field Values

### CDO_EDITOR_DEF_FEATURE_COUNT

    static final int CDO_EDITOR_DEF_FEATURE_COUNT

  The number of structural features of the 'CDO Editor Def' class.

  See Also:
    Constant Field Values

Method Detail

### getEditorDef

    org.eclipse.emf.ecore.EClass getEditorDef()

  Returns the meta object for class '`Editor Def`'.

  Returns:
    the meta object for class 'Editor Def'.
  See Also:
    `EditorDef`

### getEditorDef_EditorID

    org.eclipse.emf.ecore.EAttribute getEditorDef_EditorID()

  Returns the meta object for the attribute '`Editor ID`'.

  Returns:
    the meta object for the attribute 'Editor ID'.
  See Also:
    `EditorDef.getEditorID()`, `getEditorDef()`

### getCDOEditorDef

    org.eclipse.emf.ecore.EClass getCDOEditorDef()

  Returns the meta object for class '`CDO Editor Def`'.

  Returns:
    the meta object for class 'CDO Editor Def'.
  See Also:
    `CDOEditorDef`

### getCDOEditorDef_CdoView

    org.eclipse.emf.ecore.EReference getCDOEditorDef_CdoView()

  Returns the meta object for the reference '`Cdo View`'.

  Returns:
    the meta object for the reference 'Cdo View'.
  See Also:
    `CDOEditorDef.getCdoView()`, `getCDOEditorDef()`

### getCDOEditorDef_ResourcePath

    org.eclipse.emf.ecore.EAttribute getCDOEditorDef_ResourcePath()

  Returns the meta object for the attribute '`Resource Path`'.

  Returns:
    the meta object for the attribute 'Resource Path'.
  See Also:
    `CDOEditorDef.getResourcePath()`, `getCDOEditorDef()`

### getCDOUIDefsFactory

    CDOUIDefsFactory getCDOUIDefsFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.